Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## XmlCommunication
Class XmlUnmarshal

    java.lang.Object
      XmlCommunication.XmlUnmarshal

public class XmlUnmarshal
extends java.lang.Object

Author:
  student This class is being used for interpreting the response xml packets from TMS.

Field Summary
`(package private) static int` | `ncbId`
`(package private) static ResponseEnquiryItem` | `rei`
`(package private) static ResponseEnquiryNcbAddress` | `rena`
`(package private) static ResponseEnquiryNcbService` | `rens`
`(package private) static java.lang.String` | `response`
`(package private) static ResponseGeneral` | `rg`
`(package private) static ResponseNcb` | `rn`
`(package private) static ResponseReport` | `rr`

Constructor Summary
`XmlUnmarshal()` This is the constructor for XmlUnmarshal.java

Method Summary
`static void` | `getAddress(Address_Data address)` Method: getAddress This method is being used for getting the address details from TMS.
`static java.lang.String` | `getCode()` This utility method is being used for getting the response general code from TMS.
`static void` | `getCustomer(Customer_Data customer)` This method is being used for getting the customer details from TMS.
`static java.lang.String` | `getDescription()` This method is being used for getting the response general description from TMS.
`static int` | `getNcbId()` This method is being used for getting the ncb id field.
`java.lang.String` | `readNcbServiceResponse(java.lang.String input)` This method is being used for getting all the attributes of an xml packet which is of type ncb service response.
`java.lang.String` | `readResponse(java.lang.String input)` This method is being used for classifying the type of response and directing to the appropriate method for processing.
`static java.lang.String` | `responseEnquiryItem(ResponseEnquiryItem rei)` This method is being used for getting all the attributes of an xml packet which is of type response enquiry item.
`static java.lang.String` | `responseEnquiryNcbAddress(ResponseEnquiryNcbAddress rn)` This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb address.
`static java.lang.String` | `responseEnquiryNcbService(ResponseEnquiryNcbService rens)` This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb service.
`java.lang.String` | `responseGeneral(ResponseGeneral rg)` This method is being used for getting all the attributes of an xml packet which is of type response general.
`static java.lang.String` | `responseNcb(ResponseNcb rn)` This method is being used for getting all the attributes of an xml packet which is of type response ncb.
`java.lang.String` | `responseReport(ResponseReport rr)` This method is being used for getting all the attributes of an xml packet which is of type response report.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ncbId

    static int ncbId

### rei

    static ResponseEnquiryItem rei

### rena

    static ResponseEnquiryNcbAddress rena

### rens

    static ResponseEnquiryNcbService rens

### response

    static java.lang.String response

### rg

    static ResponseGeneral rg

### rn

    static ResponseNcb rn

### rr

    static ResponseReport rr

Constructor Detail

### XmlUnmarshal

    public XmlUnmarshal()

  This is the constructor for XmlUnmarshal.java

Method Detail

### getAddress

    public static void getAddress(Address_Data address)

  Method: getAddress This method is being used for getting the address details from TMS.

  Parameters:
    `address` - The updated address details.
  Returns:
    void

### getCode

    public static java.lang.String getCode()

  This utility method is being used for getting the response general code from TMS.

  Returns:
    String The response general code returned by TMS.

### getCustomer

    public static void getCustomer(Customer_Data customer)

  This method is being used for getting the customer details from TMS.

  Parameters:
    `customer` - The updated customer details.
  Returns:
    void

### getDescription

    public static java.lang.String getDescription()

  This method is being used for getting the response general description from TMS.

  Returns:
    String The response general description.

### getNcbId

    public static int getNcbId()

  This method is being used for getting the ncb id field.

  Returns:
    int The Ncb Id.

### readNcbServiceResponse

    public java.lang.String readNcbServiceResponse(java.lang.String input)

  This method is being used for getting all the attributes of an xml packet which is of type ncb service response.

  Parameters:
    `input` - The xml string to be interpreted.
  Returns:
    String The interpretation of the xml string.

### readResponse

    public java.lang.String readResponse(java.lang.String input)

  This method is being used for classifying the type of response and directing to the appropriate method for processing.

  Parameters:
    `input` - The input xml string to be interpreted.
  Returns:
    String The interpretation of the xml string.

### responseEnquiryItem

    public static java.lang.String responseEnquiryItem(ResponseEnquiryItem rei)

  This method is being used for getting all the attributes of an xml packet which is of type response enquiry item.

  Parameters:
    `rei` - ResponseEnquiryItem to be interpreted.
  Returns:
    String The interpretation of ResponseEnquiryItem.

### responseEnquiryNcbAddress

    public static java.lang.String responseEnquiryNcbAddress(ResponseEnquiryNcbAddress rn)

  This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb address.

  Parameters:
    `rn` - The responseEnquiryNcbAddress to be interpreted.
  Returns:
    String The interpretation of responseEnquiryNcbAddress.

### responseEnquiryNcbService

    public static java.lang.String responseEnquiryNcbService(ResponseEnquiryNcbService rens)

  This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb service.

  Parameters:
    `rens` - ResponseEnquiryNcbService to be interpreted.
  Returns:
    String The interpretation of ResponseEnquiryNcbService.

### responseGeneral

    public java.lang.String responseGeneral(ResponseGeneral rg)

  This method is being used for getting all the attributes of an xml packet which is of type response general.

  Parameters:
    `rg` - Response General to be interpreted.
  Returns:
    String The interpretation of the response general.

### responseNcb

    public static java.lang.String responseNcb(ResponseNcb rn)

  This method is being used for getting all the attributes of an xml packet which is of type response ncb.

  Parameters:
    `rn` - ResponseNcb to be interpreted.
  Returns:
    String The interpretation of the response ncb.

### responseReport

    public java.lang.String responseReport(ResponseReport rr)

  This method is being used for getting all the attributes of an xml packet which is of type response report.

  Parameters:
    `rr` - Response Report that is to be interpreted.
  Returns:
    String The interpretation of the response report.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD